Bug 847050 - [RHEL6.3]Kernel panic while running igb ethtool selftest with kernel gcov enabled
[RHEL6.3]Kernel panic while running igb ethtool selftest with kernel gcov ena...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Stefan Assmann
Weibing Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 10:20 EDT by Weibing Zhang
Modified: 2012-12-11 04:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 04:05:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log of the test (365.90 KB, text/x-log)
2012-08-09 10:20 EDT, Weibing Zhang
no flags Details

  None (edit)
Description Weibing Zhang 2012-08-09 10:20:18 EDT
Created attachment 603266 [details]
console log of the test

Description of problem:
Kernel panic while running igb ethtool test with kernel gcov enabled on kernel-2.6.32-279.el6.
The panic happened while i was running ethtool selftest for igb. Kernel gcov is enabled as in job link:
https://beaker.engineering.redhat.com/jobs/274058

igb 0000:02:00.0: online testing starting 
logger: 2012-08-09 05:58:48 /usr/bin/rhts-test-runner.sh 4857 4260 hearbeat...  
igb 0000:02:00.0: offline testing starting 
igb 0000:02:00.0: testing shared interrupt 
BUG: unable to handle kernel paging request at 0000000000021b08 
IP: [<ffffffff811b3233>] __alloc_pages_nodemask+0x93/0xd00 
PGD 7b785067 PUD 7a05b067 PMD 0  
Oops: 0000 [#1] SMP  
last sysfs file: /sys/devices/system/cpu/cpu0/cpufreq/scaling_setspeed 
CPU 9  
Modules linked in: igb dca nfs lockd fscache nfs_acl auth_rpcgss bluetooth rfkill sunrpc pcc_cpufreq ipv6 power_meter hpilo ipmi_si ipmi_msghandler hpwdt microcode serio_raw sg iTCO_wdt iTCO_vendor_support i7core_edac edac_core shpchp ext4 mbcache jbd2 sd_mod crc_t10dif pata_acpi ata_generic ata_piix radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core dm_mirror dm_region_hash dm_log dm_mod [last unloaded: dca] 
 
Pid: 9823, comm: ethtool Not tainted 2.6.32-252.el6.gcov.x86_64 #1 HP ProLiant BL280c G6 
RIP: 0010:[<ffffffff811b3233>]  [<ffffffff811b3233>] __alloc_pages_nodemask+0x93/0xd00 
RSP: 0018:ffff880079975858  EFLAGS: 00010246 
RAX: 0000000000000000 RBX: 00000000000080d2 RCX: 0000000000000000 
RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000000 
RBP: ffff880079975968 R08: 0000000000000000 R09: 0000000000000003 
R10: 0000000000000001 R11: 00000000ffffffff R12: 0000000000000000 
R13: 0000000000000000 R14: 0000000000021b00 R15: 0000000000000000 
FS:  00007f20ece52700(0000) GS:ffff880004720000(0000) knlGS:0000000000000000 
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b 
CR2: 0000000000021b08 CR3: 000000007ab74000 CR4: 00000000000006e0 
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000 
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400 
Process ethtool (pid: 9823, threadinfo ffff880079974000, task ffff880037de6aa0) 
Stack: 
 ffff8800799758d8 ffffffff8120ad57 ffffffff822aea28 ffff880076498b40 
<0> ffff88000002bb48 000000d000000000 ffff88000002bb48 000492d000000010 
<0> ffff8800799758b8 ffff880000012700 0000000000004000 00000000000080d0 
Call Trace: 
 [<ffffffff8120ad57>] ? fallback_alloc+0x1a7/0x370 
 [<ffffffff811ebd8a>] ? __vmalloc_area_node+0x6a/0x220 
 [<ffffffff8120b5f6>] ? kmem_cache_alloc_node_notrace+0x266/0x2a0 
 [<ffffffff8120b85e>] ? __kmalloc_node+0xae/0x190 
 [<ffffffff811ebe06>] __vmalloc_area_node+0xe6/0x220 
 [<ffffffffa08997f2>] ? igb_setup_tx_resources+0x42/0x2d0 [igb] 
 [<ffffffff811ebcc7>] __vmalloc_node+0xa7/0x100 
 [<ffffffffa08997f2>] ? igb_setup_tx_resources+0x42/0x2d0 [igb] 
 [<ffffffff811ec291>] vzalloc_node+0x41/0x60 
 [<ffffffffa08997f2>] igb_setup_tx_resources+0x42/0x2d0 [igb] 
 [<ffffffffa08a063c>] igb_diag_test+0x5bc/0x1c40 [igb] 
 [<ffffffff8164b142>] dev_ethtool+0x1092/0x23a0 
 [<ffffffff811b32d4>] ? __alloc_pages_nodemask+0x134/0xd00 
 [<ffffffff81198ea7>] ? filemap_fault+0x107/0x770 
 [<ffffffff81196fff>] ? unlock_page+0x4f/0x60 
 [<ffffffff811d0521>] ? __do_fault+0x531/0x700 
 [<ffffffff810659ef>] ? pte_alloc_one+0x4f/0x70 
 [<ffffffff81643f5f>] ? __dev_get_by_name+0xdf/0x110 
 [<ffffffff81645683>] dev_ioctl+0x2c3/0x980 
 [<ffffffff8131d57c>] ? inode_has_perm+0x5c/0xc0 
 [<ffffffff816243e7>] sock_ioctl+0xb7/0x3e0 
 [<ffffffff8124c476>] vfs_ioctl+0x36/0x100 
 [<ffffffff8124c6bc>] do_vfs_ioctl+0x8c/0x870 
 [<ffffffff8124cf49>] sys_ioctl+0xa9/0xe0 
 [<ffffffff8100ef32>] system_call_fastpath+0x16/0x1b 
Code: dc 48 83 05 2f bc 0e 01 01 41 c1 ec 13 41 83 e4 01 41 09 c4 8b 05 1e b5 c7 00 21 d8 89 45 ac 83 e0 10 89 45 8c 0f 85 1d 01 00 00 <49> 83 7e 08 00 0f 84 64 07 00 00 83 e3 0f 48 83 05 0f bc 0e 01  
RIP  [<ffffffff811b3233>] __alloc_pages_nodemask+0x93/0xd00 
 RSP <ffff880079975858> 
CR2: 0000000000021b08 
---[ end trace e4383af338e218ca ]--- 
Kernel panic - not syncing: Fatal exception 
Pid: 9823, comm: ethtool Tainted: G      D    ---------------    2.6.32-252.el6.gcov.x86_64 #1 
Call Trace: 
 [<ffffffff8175d25d>] ? panic+0xea/0x246 
 [<ffffffff8176352c>] ? oops_end+0x14c/0x170 
 [<ffffffff8105de5e>] ? no_context+0x16e/0x3c0 
 [<ffffffff8167cfcc>] ? netlink_broadcast+0x22c/0x6e0 
 [<ffffffff8105e175>] ? __bad_area_nosemaphore+0xc5/0x270 
 [<ffffffff8105e3ae>] ? bad_area+0x5e/0x80 
 [<ffffffff8105ef7e>] ? __do_page_fault+0x76e/0x810 
 [<ffffffff8139c879>] ? cpumask_next_and+0x39/0x80 
 [<ffffffff8139c879>] ? cpumask_next_and+0x39/0x80 
 [<ffffffff8107976c>] ? find_busiest_group+0x27c/0xd20 
 [<ffffffff8139c879>] ? cpumask_next_and+0x39/0x80 
 [<ffffffff8107976c>] ? find_busiest_group+0x27c/0xd20 
 [<ffffffff817661fe>] ? do_page_fault+0x4e/0xe0 
 [<ffffffff81762405>] ? page_fault+0x25/0x30 
 [<ffffffff811b3233>] ? __alloc_pages_nodemask+0x93/0xd00 
 [<ffffffff811b335d>] ? __alloc_pages_nodemask+0x1bd/0xd00 
 [<ffffffff8120ad57>] ? fallback_alloc+0x1a7/0x370 
 [<ffffffff811ebd8a>] ? __vmalloc_area_node+0x6a/0x220 
 [<ffffffff8120b5f6>] ? kmem_cache_alloc_node_notrace+0x266/0x2a0 
 [<ffffffff8120b85e>] ? __kmalloc_node+0xae/0x190 
 [<ffffffff811ebe06>] ? __vmalloc_area_node+0xe6/0x220 
 [<ffffffffa08997f2>] ? igb_setup_tx_resources+0x42/0x2d0 [igb] 
 [<ffffffff811ebcc7>] ? __vmalloc_node+0xa7/0x100 
 [<ffffffffa08997f2>] ? igb_setup_tx_resources+0x42/0x2d0 [igb] 
 [<ffffffff811ec291>] ? vzalloc_node+0x41/0x60 
 [<ffffffffa08997f2>] ? igb_setup_tx_resources+0x42/0x2d0 [igb] 
 [<ffffffffa08a063c>] ? igb_diag_test+0x5bc/0x1c40 [igb] 
 [<ffffffff8164b142>] ? dev_ethtool+0x1092/0x23a0 
 [<ffffffff811b32d4>] ? __alloc_pages_nodemask+0x134/0xd00 
 [<ffffffff81198ea7>] ? filemap_fault+0x107/0x770 
 [<ffffffff81196fff>] ? unlock_page+0x4f/0x60 
 [<ffffffff811d0521>] ? __do_fault+0x531/0x700 
 [<ffffffff810659ef>] ? pte_alloc_one+0x4f/0x70 
 [<ffffffff81643f5f>] ? __dev_get_by_name+0xdf/0x110 
 [<ffffffff81645683>] ? dev_ioctl+0x2c3/0x980 
 [<ffffffff8131d57c>] ? inode_has_perm+0x5c/0xc0 
 [<ffffffff816243e7>] ? sock_ioctl+0xb7/0x3e0 
 [<ffffffff8124c476>] ? vfs_ioctl+0x36/0x100 
 [<ffffffff8124c6bc>] ? do_vfs_ioctl+0x8c/0x870 
 [<ffffffff8124cf49>] ? sys_ioctl+0xa9/0xe0 
 [<ffffffff8100ef32>] ? system_call_fastpath+0x16/0x1b 
panic occurred, switching back to text console 

Version-Release number of selected component (if applicable):
kernel-2.6.32-279.el6
RHEL6.3 GA

How reproducible:
1/1

Steps to Reproduce:
1. install RHEL6.3 GA
2. enable gcov and install lcov
3. run ethtool selftest
  
Actual results:
kernel panic

Expected results:
no panic

Additional info:
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/08/2740/274058/587457/console.log
Comment 1 Stefan Assmann 2012-11-14 07:01:02 EST
Weibing, I'm not really familiar with gcov. How do you enable it? Also please provide lspci -nn output. Thanks!
Comment 2 Stefan Assmann 2012-12-04 06:15:47 EST
ping

Note You need to log in before you can comment on or make changes to this bug.